SingleRTPSessionPool Class Reference

`#include <pool.h>`

Inheritance diagram for SingleRTPSessionPool:
[legend]
Collaboration diagram for SingleRTPSessionPool:
[legend]

## Public Member Functions

| SingleRTPSessionPool (int pri=0)
| ~SingleRTPSessionPool ()
void | startRunning ()
Public Member Functions inherited from RTPSessionPool
| RTPSessionPool ()
virtual | ~RTPSessionPool ()
bool | addSession (RTPSessionBase RTPSessionBase &session)
bool | removeSession (RTPSessionBase RTPSessionBase &session)
size_t | getPoolLength () const
bool | isActive ()
Public Member Functions inherited from RTPSessionBaseHandler
microtimeout_t | getSchedulingTimeout (RTPSessionBase RTPSessionBase &s)
timeval | getRTCPCheckInterval (RTPSessionBase RTPSessionBase &s)
size_t | takeInDataPacket (RTPSessionBase RTPSessionBase &s)
size_t | dispatchDataPacket (RTPSessionBase RTPSessionBase &s)
void | controlReceptionService (RTPSessionBase RTPSessionBase &s)
void | controlTransmissionService (RTPSessionBase RTPSessionBase &s)
SOCKET | getDataRecvSocket (RTPSessionBase RTPSessionBase &s) const
SOCKET | getControlRecvSocket (RTPSessionBase RTPSessionBase &s) const

## Protected Member Functions

void | run ()
| Runnable method for the thread.
Protected Member Functions inherited from RTPSessionPool
void | setActive ()
timeval | getPoolTimeout ()
void | setPoolTimeout (int sec, int usec)
void | setPoolTimeout (struct timeval to)

## Additional Inherited Members

Protected Types inherited from RTPSessionPool
typedef std::list< SessionListElement * >::iterator | PoolIterator
Protected Attributes inherited from RTPSessionPool
std::list< SessionListElement * > | sessionList
ThreadLock | poolLock
fd_set | recvSocketSet
SOCKET | highestSocket

## Constructor & Destructor Documentation

## SingleRTPSessionPool()

SingleRTPSessionPool::SingleRTPSessionPool | ( | int | pri = 0 | ) |

inline

Parameters

  pri | optional thread priority value.

## ~SingleRTPSessionPool()

SingleRTPSessionPool::~SingleRTPSessionPool | ( |  | ) |

inline

## Member Function Documentation

## run()

void SingleRTPSessionPool::run | ( |  | ) |

protected

Runnable method for the thread.

This thread serves all the RTP sessions.added to this pool.

## startRunning()

void SingleRTPSessionPool::startRunning | ( |  | ) |

inline virtual

Implements RTPSessionPool.

The documentation for this class was generated from the following file:

- pool.h